diff -u src/backend/access/common/reloptions.c src/backend/access/common/reloptions.c
--- src/backend/access/common/reloptions.c	19 Dec 2008 21:54:32 -0000
+++ src/backend/access/common/reloptions.c	20 Dec 2008 03:37:36 -0000
@@ -530,12 +530,12 @@
 
 	for (i = 0; i < numoptions; i++)
 	{
-		if (!options[i]->isset)
-			continue;
-
 		if (pg_strncasecmp(options[i]->name, "fillfactor", options[i]->namelen) == 0)
 		{
-			lopts.fillfactor = ((relopt_int *) options[i])->parsed_val;
+			if (options[i]->isset)
+				lopts.fillfactor = ((relopt_int *) options[i])->parsed_val;
+			else
+				lopts.fillfactor = ((relopt_int *) options[i])->default_val;
 			break;
 		}
 	}
